Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.framework
Interface EPPPollHandler

All Known Implementing Classes:
  ContactPollHandler, DomainPollHandler, LaunchPollHandler, LowBalancePollHandler, NSPollHandler, RegistryPollHandler, RgpDomainPollHandler

    public interface EPPPollHandler

Represents an EPPPollHandler interface that is implemented by any class that needs to manipulate their own poll handler.

Version:
  $Revision: 1.2 $
Author:
  $Author: jim $

Method Summary
`java.lang.String` | `getKind()` DOCUMENT ME!
`EPPResponse` | `toResponse(EPPPollDataRecord aRecord)` DOCUMENT ME!

Method Detail

### getKind

    java.lang.String getKind()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### toResponse

    EPPResponse toResponse(EPPPollDataRecord aRecord)
                           throws EPPPollQueueException

  DOCUMENT ME!

  Parameters:
    `aRecord` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `EPPPollQueueException` - DOCUMENT ME!

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.